//+------------------------------------------------------------------+
//|                                           TradingInfoDisplay.mq4 |
//|                                        Copyright  2011, tigpips |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, tigpips"
#property link      ""


extern int    font_size  =  9;
extern color  pip_profit_colour = White;
extern color  buy_postive_colour = Lime;
extern color  sell_negative_colour = Red;
extern color  breakeven_colour = Gold;
extern bool   show_all_open_orders = true;

string sellsymbol;
double sellprice;
double selllots;
double sellpips;
double sellprofit;

string buysymbol;
double buyprice;
double buylots;
double buypips;
double buyprofit;

#property indicator_chart_window

int init()
  {   
  
   ObjectCreate("lbl_Sell_Symbol", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Sell_Symbol", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Sell_Symbol", OBJPROP_XDISTANCE, 210);
   ObjectSet("lbl_Sell_Symbol", OBJPROP_YDISTANCE, 5);   
   ObjectSetText("lbl_Sell_Symbol","",12,"Arial",White);   
   
   ObjectCreate("lbl_Sell_Pips0", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Sell_Pips0", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Sell_Pips0", OBJPROP_XDISTANCE, 175);
   ObjectSet("lbl_Sell_Pips0", OBJPROP_YDISTANCE, 5);
   ObjectSetText("lbl_Sell_Pips0","",12,"Arial",White);
      
   ObjectCreate("lbl_Sell_Pips1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Sell_Pips1", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Sell_Pips1", OBJPROP_XDISTANCE, 145);
   ObjectSet("lbl_Sell_Pips1", OBJPROP_YDISTANCE, 5);
   ObjectSetText("lbl_Sell_Pips1","",12,"Arial",White);
   
   ObjectCreate("lbl_Sell_Pips2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Sell_Pips2", OBJPROP_CORNER, 3);  
   ObjectSet("lbl_Sell_Pips2", OBJPROP_XDISTANCE, 100);
   ObjectSet("lbl_Sell_Pips2", OBJPROP_YDISTANCE, 5);
   ObjectSetText("lbl_Sell_Pips2","",12,"Arial",White);    
   
   ObjectCreate("lbl_Sell_Profit1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Sell_Profit1", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Sell_Profit1", OBJPROP_XDISTANCE, 65);
   ObjectSet("lbl_Sell_Profit1", OBJPROP_YDISTANCE, 5);
   ObjectSetText("lbl_Sell_Profit1","",12,"Arial",White);  

   ObjectCreate("lbl_Sell_Profit2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Sell_Profit2", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Sell_Profit2", OBJPROP_XDISTANCE, 10);
   ObjectSet("lbl_Sell_Profit2", OBJPROP_YDISTANCE, 5);
   ObjectSetText("lbl_Sell_Profit2","",12,"Arial",White); 
   
   ObjectCreate("lbl_Buy_Symbol", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Buy_Symbol", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Buy_Symbol", OBJPROP_XDISTANCE, 210);
   ObjectSet("lbl_Buy_Symbol", OBJPROP_YDISTANCE, 20);   
   ObjectSetText("lbl_Buy_Symbol","",12,"Arial",White); 
   
    ObjectCreate("lbl_Buy_Pips0", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Buy_Pips0", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Buy_Pips0", OBJPROP_XDISTANCE, 175);
   ObjectSet("lbl_Buy_Pips0", OBJPROP_YDISTANCE, 20);
   ObjectSetText("lbl_Buy_Pips0","",12,"Arial",White);
   
   ObjectCreate("lbl_Buy_Pips1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Buy_Pips1", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Buy_Pips1", OBJPROP_XDISTANCE, 145);
   ObjectSet("lbl_Buy_Pips1", OBJPROP_YDISTANCE, 20);
   ObjectSetText("lbl_Buy_Pips1","",12,"Arial",White);
   
   ObjectCreate("lbl_Buy_Pips2", OBJ_LABEL, 0, 0, 0); 
   ObjectSet("lbl_Buy_Pips2", OBJPROP_CORNER, 3); 
   ObjectSet("lbl_Buy_Pips2", OBJPROP_XDISTANCE, 100);
   ObjectSet("lbl_Buy_Pips2", OBJPROP_YDISTANCE, 20);
   ObjectSetText("lbl_Buy_Pips2","",12,"Arial",White);    
   
   ObjectCreate("lbl_Buy_Profit1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Buy_Profit1", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Buy_Profit1", OBJPROP_XDISTANCE, 65);
   ObjectSet("lbl_Buy_Profit1", OBJPROP_YDISTANCE, 20);
   ObjectSetText("lbl_Buy_Profit1","",12,"Arial",White);  

   ObjectCreate("lbl_Buy_Profit2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("lbl_Buy_Profit2", OBJPROP_CORNER, 3);
   ObjectSet("lbl_Buy_Profit2", OBJPROP_XDISTANCE, 10);
   ObjectSet("lbl_Buy_Profit2", OBJPROP_YDISTANCE, 20);
   ObjectSetText("lbl_Buy_Profit2","",12,"Arial",White); 
   
   return(0);
  }

int deinit()
  {
   ObjectsDeleteAll(-1,OBJ_LABEL);

   return(0);
  }

int start()
  {
   int counted_bars=IndicatorCounted();
   RefreshRates();
   sellsymbol = "";
   buysymbol = "";
   CheckTradeInfo();
   if(sellsymbol != "")
   {  
      ObjectSetText("lbl_Sell_Symbol",""+sellsymbol+"",font_size,"Arial Bold",sell_negative_colour);
      ObjectSetText("lbl_Sell_Pips0","Sell  -",font_size,"Arial Bold",sell_negative_colour);
      ObjectSetText("lbl_Sell_Pips1","Pips",font_size,"Arial",pip_profit_colour);       
      if(sellpips > 0)
      {
         ObjectSetText("lbl_Sell_Pips2","+"+DoubleToStr(sellpips/10,1),font_size,"Arial Bold",buy_postive_colour);             
      }
      else if(sellpips < 0)
      {
         ObjectSetText("lbl_Sell_Pips2",DoubleToStr(sellpips/10,1),font_size,"Arial Bold",sell_negative_colour);
      }
      else
      {
         ObjectSetText("lbl_Sell_Pips2",DoubleToStr(sellpips/10,1),font_size,"Arial Bold",breakeven_colour);
      }
      
      ObjectSetText("lbl_Sell_Profit1","Profit",font_size,"Arial",pip_profit_colour);       
      if(sellprofit > 0)
      {
         ObjectSetText("lbl_Sell_Profit2","+"+DoubleToStr(sellprofit,2),font_size,"Arial Bold",buy_postive_colour);             
      }
      else if(sellprofit < 0)
      {
         ObjectSetText("lbl_Sell_Profit2",DoubleToStr(sellprofit,2),font_size,"Arial Bold",sell_negative_colour);
      }
      else
      {
         ObjectSetText("lbl_Sell_Profit2",DoubleToStr(sellprofit,2),font_size,"Arial Bold",breakeven_colour);
      }      
   }
   else if(sellsymbol == "")
   {
      ObjectSetText("lbl_Sell_Symbol","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Price","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Lots1","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Lots2","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Pips0","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Pips1","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Pips2","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Profit1","",12,"Arial",Black);
      ObjectSetText("lbl_Sell_Profit2","",12,"Arial",Black);
   }
   
   if(buysymbol != "")
   {      
      ObjectSetText("lbl_Buy_Symbol",""+buysymbol+"",font_size,"Arial Bold",buy_postive_colour);
      ObjectSetText("lbl_Buy_Pips0","Buy  -",font_size,"Arial Bold",buy_postive_colour);
      ObjectSetText("lbl_Buy_Pips1","Pips",font_size,"Arial",pip_profit_colour);       
      if(buypips > 0)
      {
         ObjectSetText("lbl_Buy_Pips2","+"+DoubleToStr(buypips/10,1),font_size,"Arial Bold",buy_postive_colour);             
      }
      else if(buypips < 0)
      {
         ObjectSetText("lbl_Buy_Pips2",DoubleToStr(buypips/10,1),font_size,"Arial Bold",sell_negative_colour);
      }
      else
      {
         ObjectSetText("lbl_Buy_Pips2",DoubleToStr(buypips/10,1),font_size,"Arial Bold",breakeven_colour);
      }
      
      ObjectSetText("lbl_Buy_Profit1","Profit",font_size,"Arial",pip_profit_colour);       
      if(buyprofit > 0)
      {
         ObjectSetText("lbl_Buy_Profit2","+"+DoubleToStr(buyprofit,2),font_size,"Arial Bold",buy_postive_colour);             
      }
      else if(buyprofit < 0)
      {
         ObjectSetText("lbl_Buy_Profit2",DoubleToStr(buyprofit,2),font_size,"Arial Bold",sell_negative_colour);
      }
      else
      {
         ObjectSetText("lbl_Buy_Profit2",DoubleToStr(buyprofit,2),font_size,"Arial Bold",breakeven_colour);
      }        
   }
   else if(buysymbol == "")
   {
      ObjectSetText("lbl_Buy_Symbol","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Price","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Lots1","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Lots2","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Pips0","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Pips1","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Pips2","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Profit1","",12,"Arial",Black);
      ObjectSetText("lbl_Buy_Profit2","",12,"Arial",Black);
   }


   return(0);
  }
//+------------------------------------------------------------------+
void CheckTradeInfo()
{
      
   for (int cnt = OrdersTotal()-1; cnt >= 0; cnt--) 
   { 
      
      if(OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES)== false) break;
         
      if (show_all_open_orders != false)
      { 
      }
      else
      {
      if(OrderSymbol() != Symbol()) continue;
      }
      
      if (OrderCloseTime()==0) 
      { 
            if(OrderType()==OP_SELL)  
            {
               sellsymbol = OrderSymbol();
               sellprice = OrderOpenPrice();
               selllots = OrderLots();
               sellpips = ( OrderProfit() - OrderCommission() ) / OrderLots() / MarketInfo( OrderSymbol(), MODE_TICKVALUE );
               sellprofit = OrderProfit()+OrderCommission()+OrderSwap();
               
            }
            else if(OrderType()==OP_BUY)
            {
               buysymbol = OrderSymbol();
               buyprice = OrderOpenPrice();
               buylots = OrderLots();
               buypips = ( OrderProfit() - OrderCommission() ) / OrderLots() / MarketInfo( OrderSymbol(), MODE_TICKVALUE );
               buyprofit = OrderProfit()+OrderCommission()+OrderSwap();
            }  
            
                     
      } 
   } 
}